Subject: Re: [bitcoin-dev] BIP 100 specification

From: Jorge Timón <[email-masked]>
Date: Thu, 3 Sep 2015 18:13:34 +0200

On Sep 3, 2015 5:58 PM, "Btc Drak via bitcoin-dev" <
[email-masked]> wrote:
>
> On Thu, Sep 3, 2015 at 3:34 PM, Jeff Garzik <[email-masked]> wrote:
> > A discussion of rolling out BIP 100 will not be avoided :)
> >
> > It is a hard fork; it would be silly to elide discussion of these key
> > issues.
> >
> > I don't get the community's recent interest in avoiding certain topics.
>
> It's not a matter of avoiding the subject, it's a whole separate
> discussion and in the interests of efficient discussion, it is best
> done separately. There's a whole BIP dedicated to the discussion of
> consensus forks which you should probably give some input in also,
> BIP99 [1]
>
> Once we come to an agreement and can say "here's what we're doing
> about blocksize, it will be X, or we'll raise by this algo", then we
> can discuss the best way to implement the hard fork.
>
> [1] https://github.com/bitcoin/bips/pull/181

In fact, that discussion can happen in parallel. But it is more efficient
to do so in one place instead of in each of the 5+ hardfork proposals
(bip99 itself has a hardfork proposal with its code ready).